           curl_unescape - URL decodes the given string

## SYNOPSIS

           #include <curl/curl.h>

           char *curl_unescape( char *url, int length );

## DESCRIPTION

           This  function  will  convert  the given URL encoded input
           string to a "plain string" and return that as a new  allo-
           cated  string.  All  input characters that are URL encoded
           (%XX where XX is a two-digit  hexadecimal  number,  or  +)
           will  be converted to their plain text versions (up to a ?
           letter, no + letters to the right of a ?  letter  will  be
           converted).

           If the 'length' argument is set to 0, curl_unescape() will
           use strlen() on the input 'url' string  to  find  out  the
           size.

           You  must curl_free() the returned string when you're done
           with it.

## RETURN VALUE

           A pointer to a  zero  terminated  string  or  NULL  if  it
           failed.

## SEE ALSO

           curl_escape(), curl_free(), RFC 2396